<div class="side-nav">
    <div class="nav-list">
        <p [ngClass]="{'active': router.url.includes('requirement-category')}"
           (click)="height = height ? 0 : el.scrollHeight">
            Self-Assessment Questionnaire (SAQ)<i class="fa fa-angle-down pull-right"></i>
        </p>

        <div class="block" [style.height]="height + 'px'" #el>
            <div *ngFor="let category of categories">
                <p routerLinkActive="active" [routerLink]="['requirement-category', category.id]"
                   [class.disabled]="!category.available">{{category.categoryName}}</p>
            </div>
        </div>
        <p routerLinkActive="active" (click)="height = 0" [routerLink]="['summary']">Self-Assessment Questionnaire (SAQ) Review Summary</p>
        <p class="custom-height" (click)="height = 0" routerLinkActive="active" [routerLink]="['notification']">Assessment Notification</p>

    </div>
</div>
